Database upgrade failure

OS: RHEL 6

Foglight Repository Database Type: Oracle (External Database)

I want to upgrade the fms server from version 5.7.5.8 to 5.9.2.

But the database upgrade can't be successfully performed within the installer itself.So I run the script foglight_db_upgrade.sh under the path "<foglight_home>\bin\" as mentioned in the official document .

And there was an error occurred.The error information as blow:

[foglight@GSFGADBV1211 bin]$ ./foglight_db_upgrade.sh
log4j:WARN No appenders could be found for logger (org.springframework.core.env.StandardEnvironment).
log4j:WARN Please initialize the log4j system properly.
log4j:WARN See logging.apache.org/.../faq.html for more info.
2018-08-02 17:18:33.084 INFO Current database schema version: 5.7.5.9
Exception in thread "main" java.lang.NoClassDefFoundError: org/slf4j/LoggerFactory
at org.hibernate.dialect.Dialect.<clinit>(Dialect.java:82)
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:264)
at com.quest.nitro.upgrade.db.DBUpgradeTask.getDialect(DBUpgradeTask.java:147)
at com.quest.nitro.upgrade.db.UpdateSchemaObjectsTask.execute(UpdateSchemaObjectsTask.java:88)
at com.quest.nitro.upgrade.db.UpdateSchemaObjectsTask.execute(UpdateSchemaObjectsTask.java:58)
at com.quest.nitro.upgrade.AbstractUpgradeStep.execute(AbstractUpgradeStep.java:119)
at com.quest.nitro.upgrade.UpgradeController.upgrade(UpgradeController.java:171)
at com.quest.nitro.upgrade.db.DatabaseUpgradeLauncher.processCommandLine(DatabaseUpgradeLauncher.java:306)
at com.quest.nitro.upgrade.db.DatabaseUpgradeLauncher.main(DatabaseUpgradeLauncher.java:116)
Caused by: java.lang.ClassNotFoundException: org.slf4j.LoggerFactory
at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:335)
at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
... 10 more

So how can I solve this problem? Or how can I upgrade my database successfully? 

THX for any answers.

  • Hello Huang,

    which user did you use to run the DB upgrade script?

    A NoClassDefFoundError could appear if a class library with the class definition was available when the program was compiled but cannot be found during runtime. If you use an OS user which does not have access on the needed libraries in Foglight, such an error could appear.

    Please make sure that the user which is running the DB upgrade script is the user who owns the Foglight installation.

    If the issue still exist, you might need to create a Service Request so we can investigate deeper and check the installation log files for further errors.

    Kind Regards

    Nicola